Bug 1020373 - Multiple shrink doesn't show "please wait" text at the main hub
Multiple shrink doesn't show "please wait" text at the main hub
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-17 10:33 EDT by Kamil Páral
Modified: 2013-11-23 23:00 EST (History)
7 users (show)

See Also:
Fixed In Version: pykickstart-1.99.46-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-23 23:00:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bug demonstration video (641.71 KB, video/ogg)
2013-10-17 10:33 EDT, Kamil Páral
no flags Details
anaconda.log (14.33 KB, text/plain)
2013-10-17 10:38 EDT, Kamil Páral
no flags Details
program.log (20.41 KB, text/plain)
2013-10-17 10:38 EDT, Kamil Páral
no flags Details
storage.log (141.81 KB, text/plain)
2013-10-17 10:38 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2013-10-17 10:33:58 EDT
Created attachment 813354 [details]
bug demonstration video

Description of problem:
If I shrink a partition in guided screen and save the configuration, I see the main hub, the storage spoke is grayed out and there's some "please wait" text, something like "Saving configuration..." or similar.

But when I enter the storage spoke again and shrink the partition some more, I see no "please wait" text on the main hub anymore. The whole screen is grayed out and it seems like frozen. It takes ~10 seconds and then it becomes alive again. But my first impression is "it's stuck".

The storage spoke should indicate that something is happening. Even after multiple resize operations.

Version-Release number of selected component (if applicable):
anaconda-20.25.1-1.fc20.x86_64
F20 Beta TC5 Live x86_64

How reproducible:
seems always

Steps to Reproduce:
1. create a big partition
2. shrink it several times using the guided dialog
3. see that some progress is shown on the main hub just for the first time. for the next attempt is seems like frozen
Comment 1 Kamil Páral 2013-10-17 10:38:19 EDT
Created attachment 813356 [details]
anaconda.log
Comment 2 Kamil Páral 2013-10-17 10:38:26 EDT
Created attachment 813357 [details]
program.log
Comment 3 Kamil Páral 2013-10-17 10:38:36 EDT
Created attachment 813358 [details]
storage.log
Comment 4 Fedora Update System 2013-10-21 20:32:09 EDT
anaconda-20.25.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.25.2-1.fc20
Comment 5 Kamil Páral 2013-10-22 04:27:31 EDT
Faster, smoother, better. Verified.
Comment 6 Fedora Update System 2013-11-15 21:13:17 EST
anaconda-20.25.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.25.8-1.fc20
Comment 7 Fedora Update System 2013-11-23 23:00:47 EST
pykickstart-1.99.46-1.fc20, python-blivet-0.23.5-1.fc20, anaconda-20.25.9-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.